<?php
session_start();

	require 'c/core.php';

	$coreSecureAjax = 1;//core::$i->read('secure','ajax')
    
	if((($coreSecureAjax==1 AND isset($_SERVER['HTTP_X_REQUESTED_WITH']) AND strtolower($_SERVER['HTTP_X_REQUESTED_WITH']) == 'xmlhttprequest') OR $coreSecureAjax!=1) or $_SERVER['REMOTE_ADDR']=='127.0.0.1') {
    //if(1){
		
		$moduleTarget = 'ajax/'.core::$i->mode.'/index.php';
        
		if(file_exists( $moduleTarget )) @include $moduleTarget;
		else {
    	   js::$i->setJSON('status', false );
    	   js::$i->setJSON('error','Błąd podczas połaczenia z serwerem');
           //error::system('Server ERR#2:' . core::$i->mode,'ajax',false,'INFO');
		}
	} else {
	   js::$i->setJSON('status',false);
	   js::$i->setJSON('error','Brak dostępu');
	   //error::system('Header xmlhttprequest','ajax',false,'INFO');
	}
    
    print( js::$instance->getJSON() );
		
	
?>